Partially update a fabric template - Fabric
Partially update a fabric template
cURL
curl --request PATCH \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "production template",
"code": "production template",
"description": "Template for product and variant attributes in fabric PIM for the connected account of production staff",
"direction": "export",
"data_type": "products"
}
'
Python
import requests
url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/"
payload = {
"name": "production template",
"code": "production template",
"description": "Template for product and variant attributes in fabric PIM for the connected account of production staff",
"direction": "export",
"data_type": "products"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'production template',
code: 'production template',
description: 'Template for product and variant attributes in fabric PIM for the connected account of production staff',
direction: 'export',
data_type: 'products'
})
};
fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'production template',
'code' => 'production template',
'description' => 'Template for product and variant attributes in fabric PIM for the connected account of production staff',
'direction' => 'export',
'data_type' => 'products'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/"
payload := strings.NewReader("{\n \"name\": \"production template\",\n \"code\": \"production template\",\n \"description\": \"Template for product and variant attributes in fabric PIM for the connected account of production staff\",\n \"direction\": \"export\",\n \"data_type\": \"products\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
{
"name": "production template",
"code": "production template",
"description": "Template for product and variant attributes in fabric PIM for the connected account of production staff",
"id": 16,
"direction": "export",
"data_type": "products",
"template_mappings": [
{
"template list": "response"
}
],
"created_at": "2025-03-10T15:24:56Z"
}